# Class: StatusClient

## StatusClient

## Constructor

#### new StatusClient(jiraClient)

Used to access Jira REST endpoints in '/rest/api/2/status'

##### Parameters:

Name | Type | Description
--- | --- | ---
`jiraClient` | JiraClient |

Source:
  - api/status.js, line 5

### Methods

#### getAllStatuses(opts, callback)

Returns a list of all statuss visible to the user

##### Parameters:

Name | Type | Description
--- | --- | ---
`opts` |  | Ignored
`callback` |  | Called when the statuss have been retrieved.

Source:
  - api/status.js, line 14

#### getStatus(opts, callback)

Get a full representation of the status that has the given id.

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

The options sent to the Jira API

###### Properties

Name | Type | Description
--- | --- | ---
`statusId` |  | A String containing a status id

`callback` |  | Called when the status has been retrieved.

Source:
  - api/status.js, line 33